# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QS.exe
OBJFILES = QS.obj QS\ImageMods.obj QS\MainMDI.obj QS\TextWins.obj \
   QS\NoteWins.obj QS\FileWin.obj QS\RptWin.obj QS\MsgWins.obj QS\MsgInWin.obj \
   QS\PGPpassEx.obj QS\PackDlg.obj QS\PrintDlgs.obj QS\AddressDlgs.obj \
   QS\OldOpenDlg.obj QS\AboutDlgs.obj QS\SaveDlg.obj QS\GetStrtDlg.obj \
   QS\WaitDlg.obj QS\ClipReply.obj QS\DirBrow.obj QS\RemailerDlgs.obj \
   QS\HttpProxyDlgs.obj QS\UrlsDlgs.obj QS\NewNameDlgs.obj QS\MixDlgs.obj \
   QS\MixInstDlg.obj QS\UPDUnzipDlg.obj QS\UPDateDlg.obj QS\UPDedDlg.obj \
   QS\OpenDlgs.obj QS\MailboxDlgs.obj QS\AddrEditDlgs.obj QS\OptionsDlgs.obj \
   QS\HelpTopicsDlgs.obj QS\DocMsgDlg.obj QS\DelDocsDlg.obj QS\View.obj \
   QS\PickBoxDlgs.obj QS\QueueDlgs.obj QS\WelcomeDlgs.obj QS\FirstDocsDlgs.obj \
   QS\PgpKeyWins.obj QS\QSMsgBoxDlgs.obj QS\FindDlgs.obj QS\MailboxWins.obj \
   QS\WipeDlgs.obj QS\Follow2PostDlgs.obj QS\SecUrgentDlgs.obj \
   QS\SMTPAuthDlgs.obj QS\SMTPPassDlgs.obj QS\SmtpDlgs.obj QS\CpkKeyClrDlgs.obj \
   QS\CpkKeyDelDlgs.obj QS\MixProbExpDlgs.obj QS\KeyringWins.obj \
   QS\KeyringClrDlgs.obj QS\KeyringDelDlgs.obj QS\MixKeyWins2.obj \
   QS\MixKeyImpDlgs.obj QS\MixProbWins2.obj QS\DefChainsDlgs.obj \
   QS\InfoTestManDlgs.obj QS\RemailerCfgDlgs.obj QS\CpkKeyWins2.obj \
   QS\CpkKeyImpDlgs.obj QS\BackupDlgs.obj QS\MsgBoxDlgs.obj QS\UPDHistDlgs.obj \
   QS\MimeEncodeDlgs.obj QS\BackupDirDlgs.obj QS\BackupCpyDlgs.obj \
   QS\MailPoolDlgs.obj QS\Mail2DiskDlgs.obj QS\Mail2ExplDlgs.obj \
   QS\BarredRemsDlgs.obj QS\MailHasMIMEDlgs.obj QS\OptsAdvPGPDlgs.obj \
   QS\NymWins.obj QS\PgpKeyImpDlgs.obj QS\pgpkeyexpdlgs.obj QS\NymEditDlgs.obj \
   QS\MIMEman4.obj QS\HelpDlgs.obj QS\DntAskDlgs.obj QS\BackupThrds.obj \
   QS\TBUFFER.obj QS\Mixmaster.obj QS\Fmxutils.obj QS\QSver.obj QS\Console.obj \
   QS\MixMsg.obj QS\Cyberpunk.obj QS\Pool.obj QS\CpkMsg.obj QS\HeadMan.obj \
   QS\FileMan.obj QS\pop3mail.obj QS\pgpmail.obj QS\nymmail.obj QS\newsmail.obj \
   QS\PgpFiles.obj QS\PGPbuffers.obj QS\Global.obj QS\NymRepBlks.obj \
   QS\MIMEmanEnc.obj QS\MIMEmanDec.obj QS\BrokeChnDlgs.obj QS\MixDupChnDlgs.obj \
   QS\MsgTooBigDlgs.obj QS\CodeRevDlgs.obj QS\PgpNew.obj QS\UPDFtpDlg.obj \
   QS\RemShortNameDlgs.obj QS\SMTPProxyDlgs.obj
RESFILES = QS\QS.res
RESDEPEN = $(RESFILES) QS\ImageMods.dfm QS\MainMDI.dfm QS\TextWins.dfm \
   QS\NoteWins.dfm QS\FileWin.dfm QS\RptWin.dfm QS\MsgWins.dfm QS\MsgInWin.dfm \
   QS\PGPpassEx.dfm QS\PackDlg.dfm QS\PrintDlgs.dfm QS\AddressDlgs.dfm \
   QS\OldOpenDlg.dfm QS\AboutDlgs.dfm QS\SaveDlg.dfm QS\GetStrtDlg.dfm \
   QS\WaitDlg.dfm QS\ClipReply.dfm QS\DirBrow.dfm QS\RemailerDlgs.dfm \
   QS\HttpProxyDlgs.dfm QS\UrlsDlgs.dfm QS\NewNameDlgs.dfm QS\MixDlgs.dfm \
   QS\MixInstDlg.dfm QS\UPDUnzipDlg.dfm QS\UPDateDlg.dfm QS\UPDedDlg.dfm \
   QS\OpenDlgs.dfm QS\MailboxDlgs.dfm QS\AddrEditDlgs.dfm QS\OptionsDlgs.dfm \
   QS\HelpTopicsDlgs.dfm QS\DocMsgDlg.dfm QS\DelDocsDlg.dfm QS\View.dfm \
   QS\PickBoxDlgs.dfm QS\QueueDlgs.dfm QS\WelcomeDlgs.dfm QS\FirstDocsDlgs.dfm \
   QS\PgpKeyWins.dfm QS\QSMsgBoxDlgs.dfm QS\FindDlgs.dfm QS\MailboxWins.dfm \
   QS\WipeDlgs.dfm QS\Follow2PostDlgs.dfm QS\SecUrgentDlgs.dfm \
   QS\SMTPAuthDlgs.dfm QS\SMTPPassDlgs.dfm QS\SmtpDlgs.dfm QS\CpkKeyClrDlgs.dfm \
   QS\CpkKeyDelDlgs.dfm QS\MixProbExpDlgs.dfm QS\KeyringWins.dfm \
   QS\KeyringClrDlgs.dfm QS\KeyringDelDlgs.dfm QS\MixKeyWins2.dfm \
   QS\MixKeyImpDlgs.dfm QS\MixProbWins2.dfm QS\DefChainsDlgs.dfm \
   QS\InfoTestManDlgs.dfm QS\RemailerCfgDlgs.dfm QS\CpkKeyWins2.dfm \
   QS\CpkKeyImpDlgs.dfm QS\BackupDlgs.dfm QS\MsgBoxDlgs.dfm QS\UPDHistDlgs.dfm \
   QS\MimeEncodeDlgs.dfm QS\BackupDirDlgs.dfm QS\BackupCpyDlgs.dfm \
   QS\MailPoolDlgs.dfm QS\Mail2DiskDlgs.dfm QS\Mail2ExplDlgs.dfm \
   QS\BarredRemsDlgs.dfm QS\MailHasMIMEDlgs.dfm QS\OptsAdvPGPDlgs.dfm \
   QS\NymWins.dfm QS\PgpKeyImpDlgs.dfm QS\pgpkeyexpdlgs.dfm QS\NymEditDlgs.dfm \
   QS\MIMEman4.dfm QS\HelpDlgs.dfm QS\DntAskDlgs.dfm QS\BrokeChnDlgs.dfm \
   QS\MixDupChnDlgs.dfm QS\MsgTooBigDlgs.dfm QS\CodeRevDlgs.dfm QS\PgpNew.dfm \
   QS\UPDFtpDlg.dfm QS\RemShortNameDlgs.dfm QS\SMTPProxyDlgs.dfm
LIBFILES = QS\zlib.lib
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -DPGP_WIN32 \
   -I.\qs;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -DPGP_WIN32 \
   -U.\qs;$(BCB)\lib;$(BCB)\lib\obj;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -I.\qs;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -W -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -DPGP_WIN32 \
   -i.\qs;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn 
LFLAGS = -L.\qs;$(BCB)\lib;$(BCB)\lib\obj;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -S:0x7530 -aa -Tpe -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

