//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop
#include "fileman.h"
#include "qsnewsver.h"
//---------------------------------------------------------------------------
USERES("QSnews\QSnews.res");
USEUNIT("QSnews\QSnewsVer.cpp");
USEFORM("QSnews\QSNewsWins.cpp", QSNewsWin);
USEFORM("QSnews\NewsManDlgs.cpp", NewsManDlg);
USEFORM("QSnews\NewsProfDlgs.cpp", NewsProfDlg);
USEFORM("QSnews\NewsGrpDlgs.cpp", NewsGrpDlg);
USEFORM("QSnews\NewsPasDlgs.cpp", NewsPasDlg);
USEFORM("QSnews\NewsNewDlgs.cpp", NewsNewDlg);
USEFORM("QSnews\HelpDlgs.cpp", HelpDlg);
USEFORM("QSnews\MsgBoxDlgs.cpp", MsgBoxDialog);
USEFORM("QSnews\NewsTransDlgs.cpp", NewsTransDlg);
USEFORM("QSnews\WipeDlgs.cpp", WipeDlg);
USEFORM("QSnews\View.cpp", ViewDlg);
USEUNIT("QSnews\FileMan.cpp");
USEUNIT("QSnews\HeadMan.cpp");
USEUNIT("QSnews\Mixmaster.cpp");
USEUNIT("QSnews\Global.cpp");
USEUNIT("QSnews\newsmail.cpp");
USEUNIT("QSnews\Explbtn.pas");
USEFORM("QSnews\ProxyDlgs.cpp", ProxyDlg);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    HWND hWnd; CreateMutex(NULL,FALSE,"JustOneQSNews");
    if(GetLastError()==ERROR_ALREADY_EXISTS)
    {
       if ((hWnd=FindWindow("TQSNewsWin",NULL))>0)
       {
          ShowWindow(hWnd,SW_SHOWDEFAULT);
          SetForegroundWindow(hWnd);
          return 0;
       }
    }
    try
	{
		Application->Initialize();
		Application->CreateForm(__classid(TQSNewsWin), &QSNewsWin);
                Application->CreateForm(__classid(TProxyDlg), &ProxyDlg);
                Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	return 0;
}
//---------------------------------------------------------------------------
